# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# Origin b'https://github.com/intel-innersource/libraries.python.intel.condarecipes.numba-recipe.git', commit b'60e374c58602d350ba6f8519c8755df53680a848'
# ------------------------------------------------

package:
    name: numba
    version: 0.53.1
source:
    git_rev: release0.53-patched
    git_url: https://github.com/IntelPython/numba.git
    patches:
        - 0001-Tbb-legacy.patch
        - task_scheduler_init_fork_safety.patch
        - update_readme.patch
        - update_setup.patch
build:
    entry_points:
        - numba = numba.misc.numba_entry:main
        - pycc = numba.pycc:main
    number: '0'
    script_env:
        - WHEELS_OUTPUT_FOLDER
    string: py37hb602f85_0
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - binutils_impl_linux-64 2.35.1 h193b22a_1
        - binutils_linux-64 2.35 hc3fd857_29
        - gcc_impl_linux-64 9.3.0 hc4ea5b5_17
        - gcc_linux-64 9.3.0 h7247604_29
        - gxx_impl_linux-64 9.3.0 h4e282bc_17
        - gxx_linux-64 9.3.0 h0d07fa4_29
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.35.1 hea4e1c9_1
        - libgcc-devel_linux-64 9.3.0 hfd08b2a_17
        - libgcc-ng 9.3.0 hdf63c60_101
        - libgomp 9.3.0 hfd65084_17
        - libstdcxx-devel_linux-64 9.3.0 h4084dd6_17
        - libstdcxx-ng 9.3.0 hdf63c60_101
        - sysroot_linux-64 2.12 h77966d4_13
    host:
        - bzip2 1.0.8 hb9a14ef_8
        - ca-certificates 2020.12.5 0
        - certifi 2020.12.5 py37he139614_0
        - common_cmplr_lib_rt 2021.3.0 intel_779
        - common_cmplr_lic_rt 2021.3.0 intel_779
        - dpcpp-cpp-rt 2021.3.0 intel_779
        - dpcpp_cpp_rt 2021.3.0 intel_779
        - icc_rt 2021.3.0 intel_779
        - intel-cmplr-lib-rt 2021.3.0 intel_779
        - intel-cmplr-lic-rt 2021.3.0 intel_779
        - intel-opencl-rt 2021.3.0 intel_779
        - intel-openmp 2021.3.0 intel_779
        - intelpython 2021.3.0 0
        - libffi 3.3 13
        - libgcc-ng 9.3.0 hdf63c60_101
        - libllvm10 10.0.0 ha451071_9
        - libstdcxx-ng 9.3.0 hdf63c60_101
        - llvmlite 0.36.0 py37hdf15217_1
        - mkl 2021.2.0 intel_265
        - mkl-service 2.3.0 py37h6dedaa4_10
        - mkl_fft 1.3.0 py37h1e28309_1
        - mkl_random 1.2.1 py37hd8a9aec_3
        - mkl_umath 0.1.1 py37h10116c3_9
        - numpy 1.20.3 py37h74be093_1
        - numpy-base 1.20.3 py37hf45626f_1
        - opencl_rt 2021.3.0 intel_779
        - openssl 1.1.1k h14c3975_1
        - python 3.7.10 hb46255e_1
        - setuptools 52.0.0 py37h0d5a7d4_0
        - six 1.15.0 py37h915586f_1
        - sqlite 3.35.5 hb9a14ef_1
        - tbb 2021.3.0 intel_435
        - tbb-devel 2021.3.0 intel_435
        - tbb4py 2021.3.0 py37_intel_435
        - tcl 8.6.10 1
        - tk 8.6.10 h8e2d9d6_2
        - wheel 0.36.2 py37ha11c92b_0
        - xz 5.2.5 h74280d8_2
        - zlib 1.2.11.1 h047b5d8_3
    run:
        - intelpython >=2019.0
        - libgcc-ng >=9.3.0
        - libstdcxx-ng >=9.3.0
        - llvmlite 0.36.*
        - numpy >=1.15
        - python >=3.7,<3.8.0a0
        - setuptools
        - tbb4py
test:
    files:
        - intel_tester_config.py
        - mandel.py
    imports:
        - numba
    requires:
        - cffi
        - intel_tester
        - ipython
        - jinja2
        - pytest
        - scipy
        - setuptools
about:
    description: '<strong>LEGAL NOTICE: Use of this software package is subject to
        the

        software license agreement (as set forth above, in the license section of

        the installed Conda package and/or the README file) and all notices,

        disclaimers or license terms for third party or open source software

        included in or with the software.</strong>

        <br/><br/>

        EULA: <a href="https://opensource.org/licenses/BSD-2-Clause" target="_blank">BSD-2-Clause</a>

        <br/><br/>

        '
    home: http://numba.pydata.org/
    license: BSD-2-Clause
    license_file: LICENSE
    summary: a just-in-time Python function compiler based on LLVM
extra:
    copy_test_source_files: true
    final: true
